## Plugin materiels database

![img](./schema.png)

### Table plugin_materiels_category
| Idx | Field Name | Data Type |
|---|---|---|
| *🔑 ⬋ | id| integer autoincrement |
| *🔍 | name| varchar(100)  |
| Indexes |
| 🔑 primary key | pk_plugin_materiels_category ||
| 🔍 unique  | u_category_name |

### Table plugin_materiels_equipment
| Idx | Field Name | Data Type |
|---|---|---|
| *🔑 ⬋ | id| integer autoincrement |
| *⬈ | category_id| integer  |
| *| stock_number| integer  |
| *🔍 | designation| varchar(255)  |
| Indexes |
| 🔑 primary key | pk_plugin_materiels_equipment || ON id|
| 🔍 unique | u_equipment_designation || ON designation|
| Foreign Keys |
|  | Fk_plugin_materiels_equipment | ( category_id ) ref plugin_materiels_category (id) |

### Table plugin_materiels_entry
| Idx | Field Name | Data Type | Description |
|---|---|---|---|
| *🔑 | id| integer autoincrement |  |
| *| kind| varchar(20)  | Achat, Don, Récupération, ... |
| *| equipment_number| integer  |  |
| *⬈ | equipment_id| integer  |  |
| *| entry_date| date  |  |
|  | additional_comment| varchar(255)  |  |
| Indexes |
| 🔑 primary key | pk_plugin_materiels_entry |  |
| Foreign Keys |
|  | Fk_plugin_materiels_entry | ( equipment_id ) ref plugin_materiels_equipment (id) |  |

### Table plugin_materiels_output
| Idx | Field Name | Data Type | Description |
|---|---|---|---|
| *🔑 | id| integer autoincrement |  |
| *| kind| varchar(20)  | Vente, Don, Prêt, ... |
| *| equipment_number| integer  |  |
| *⬈ | equipment_id| integer  |  |
| *| output_date| date  |  |
|  | additional_comment| varchar(255)  |  |
| Indexes |
| 🔑 primary key | pk_plugin_materiels_output || ON id |  |
| Foreign Keys |
|  | Fk_plugin_materiels_output | ( equipment_id ) ref plugin_materiels_equipment (id) |  |

| * -> NOT NULL
