<?php

namespace Garradin\Plugin\Materiels;

use Garradin\DB;
use Garradin\Plugin\Materiels\Equipment;

class Output
{
  public function listKinds()
  {
    return array(
      'Vente',
      'Don',
      'Besoin',
      'Autre (perte, vol, ...)',
      'Location / Prêt',
    );
  }

  public function add($data = [])
	{
    DB::getInstance()->insert('plugin_materiels_output', $data);
	}

  public function edit($id, $data = [])
	{
    $db = DB::getInstance();
    $db->update('plugin_materiels_output', $data, $db->where('id', $id));
	}

  public function listAll()
	{
		return DB::getInstance()->get('SELECT * FROM plugin_materiels_output ORDER BY output_date DESC;');
	}

  public function PossibilityOwnedEqmtOutput($id, $eqmt_number, $date)
	{
    $after_output_dates = DB::getInstance()->get(
      "SELECT output_date FROM plugin_materiels_output WHERE kind IN (
        'Vente', 'Don', 'Besoin', 'Autre (perte, vol, ...)',
        'Location / Prêt') AND equipment_id = '{$id}' AND output_date > '{$date}';");
    $output_dates = array($date);
    foreach ($after_output_dates as $row)
    {
      array_push($output_dates, $row->output_date);
    }
    $eqmt = new Equipment;
    foreach ($output_dates as $output_date) {
      $available_eqmt = $eqmt->CalculateAvailableByDate($id, $output_date);
      if ($available_eqmt - $eqmt_number < 0)
      {
        return false;
      }
    }
    return true;
	}
}
